## Bsoft program

# brefine

### Usage: brefine [options] input.star [input.star]

Refines the orientations of particle images with respect to a reference map.
Defocus refinement on non-CTF corrected images is turned on by the -defocus option.

### Actions:

-all | Reset selection to all particles before other selections (default not).
-symmetry C5 | Search for the best symmetry-related orientations.
-magnification 0.01 | Turns on magnification refinement: Maximum adjustment (default 0).
-defocus 0.002 | Turns on defocus refinement: Standard deviation for Monte Carlo,
| Step size for grid search (default 0 um).

### Actions for the type of refinement:

-monte 80 | Monte Carlo with a maximum number of iterations.
-grid 2.5,0.3 | Grid search with angular step size and accuracy (both in degrees).

### Parameters:

-verbose 7 | Verbosity of output.
-select 14 | Selection number of particles to process (default all selected).
-fomtype dpr | Resolution measurement type: frc (default), dpr.
-resolution 20,250 | High and low resolution limits (angstrom).
-kernel 11,3 | Interpolation kernel width and power (default 8,2)
-edge 125 | Edge mask radius using previous particle origins (default not used).
-nothreads | Do not use threads (default parallel processing).

### Parameters only for Monte Carlo refinement:

-shift 0.4 | Random origin shift standard deviation (default 0.1 pixels).
-view 0.02 | Random view shift standard deviation (default 0.01).
-angle 0.7 | Random rotation angle maximum adjustment (default 0.5 degrees).

### Parameters only for grid search:

-step 1.5,0.3 | Grid search shift step size and accuracy (default 0.4,0.1 pixels).

### Input:

-reference file.ext | Input 3D reference map file.
-mask mask.map | Real space 2D mask to be applied to particles.
-FSC file.xml | FSC curve used to weigh FOM contributions.

### Output:

-output file.star | Output parameter file.
-ppx | Write temporary particle parameter files to directory "ppx".

Bsoft version 2.0.3-20180917 (64 bit)